View Issue Details

IDProjectCategoryView StatusLast Update
0003122PartDesignBugpublic2018-08-26 15:21
ReporterCharlieMACAssigned Towmayer 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target VersionFixed in Version0.17 
Summary0003122: FC 0.17 crashes when a sketched located outside a body object
DescriptionI'm trying to pad a Sketch created with the old part design within FreeCAD 0.17 and I'm doing the following steps: First, I launch FreeCAD 0.17 then open a file containing the Sketch created with 0.16, I create a new file and create a new body using the new part design, later I copy the sketch created with 0.16 and I paste it under the body I just created. I click on pad, and then select "make independant copy (recommended)". When clicking "ok" FreeCAD just crashes.
Steps To Reproduce1.- Create a simple Sketch in 0.16 and copy it.
2.- Create a new body using the new part design workbench in 0.17
3.- Paste the copied sketch within the body.
4.- Click on pad.
5.- Click on "Make independent copy (recommended)".

Note: It's actually not necessary to create the sketch using 0.16. Creating the Sketch in 0.17 and moving it outside the body object is sufficient to reproduce the crash.
Additional InformationGDB Information about Crash:

Thread 1 "FreeCAD" received signal SIGSEGV, Segmentation fault.
0x00007fff7da2ab46 in prepareProfileBased(Gui::Command*, std::__cxx11::basic_string<char, std::char_traits<char>, 
std::allocator<char> > const&, boost::function<void (Part::Feature*, std::__cxx11::basic_string<char, 
std::char_traits<char>, std::allocator<char> >)>) () from /home/charlie/FreeCAD/build/Mod/PartDesign/PartDesignGui.so


FreeCADs information:

OS: Debian GNU/Linux 9.0 (stretch)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.11509 (Git)
Build type: Release
Branch: master
Hash: fdedf8fb4d36043145e8498244177aae16c806a5
Python version: 2.7.13
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
TagsNo tags attached.

Activities

CharlieMAC

2017-07-08 21:26

reporter   ~0009692

Forum's discussion:

https://forum.freecadweb.org/viewtopic.php?f=3&t=23310

Kunda1

2017-07-12 12:24

administrator   ~0009734

@yorik can you weigh in on why this crash occurs ?

yorik

2017-07-12 15:47

administrator   ~0009741

Better to add the PartDesign boys :)

Kunda1

2017-07-15 11:01

administrator   ~0009761

Last edited: 2017-07-15 11:02

View 2 revisions

@kkremitzki can you weigh in on this?

wmayer

2017-07-16 14:57

administrator   ~0009765

https://github.com/FreeCAD/FreeCAD/commit/7cfc084e476fcf6c189a9d41596d68fd265d71d9

wmayer

2017-07-18 18:17

administrator   ~0009776

Fix committed to master branch.

Related Changesets

FreeCAD: master 7cfc084e

2017-07-16 09:56:06

wmayer

Details Diff
fixes 0003122: FC 0.17 crashes when a sketched located outside a body object Affected Issues
0003122
mod - src/Mod/PartDesign/Gui/Command.cpp Diff File

Issue History

Date Modified Username Field Change
2017-07-08 21:22 CharlieMAC New Issue
2017-07-08 21:26 CharlieMAC Note Added: 0009692
2017-07-12 12:24 Kunda1 Note Added: 0009734
2017-07-12 12:24 Kunda1 Tag Attached: #pending
2017-07-12 15:47 yorik Note Added: 0009741
2017-07-12 16:46 Kunda1 Project FreeCAD => PartDesign
2017-07-15 11:01 Kunda1 Note Added: 0009761
2017-07-15 11:02 Kunda1 Note Edited: 0009761 View Revisions
2017-07-16 14:57 wmayer Assigned To => wmayer
2017-07-16 14:57 wmayer Status new => closed
2017-07-16 14:57 wmayer Resolution open => fixed
2017-07-16 14:57 wmayer Fixed in Version => 0.17
2017-07-16 14:57 wmayer Note Added: 0009765
2017-07-18 18:17 wmayer Changeset attached => FreeCAD master 7cfc084e
2017-07-18 18:17 wmayer Note Added: 0009776
2018-08-26 15:21 Kunda1 Tag Detached: #pending